跳转到内容

Sync React-1

集成

模型 id sync-lipsync/react-1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/react-1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "emotion": "happy"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $1.667 1,667 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Sync Labs 口型同步与数字人 口型同步 #lipsync#video-to-video

对视频执行口型同步并应用指定情绪,适用于最长 15 秒的片段

Sync Labs · 视频

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填 video_url
拖放文件,或

输入视频 URL;片段不得超过 15 秒。

•必填 audio_url
拖放文件,或

输入音频 URL;录音不得超过 15 秒。

emotion •必填

生成期间使用的情绪提示词;目前仅支持单词情绪。

lipsync_mode 默认 bounce

用于处理音频和视频时长差异的唇形同步模式。

高级 model_mode · temperature
model_mode 默认 face

编辑区域和运动范围:`lips` 仅使用 react-1 进行唇形同步,面部变化极少;`face` 会增加面部表情,但不包含头部运动;`head` 包含唇形同步、面部表情以及说话时自然的头部运动。

默认 0.5

唇形同步的表现力级别。

POST /run/sync-lipsync/react-1?wait=20 报价 → $1.667
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/react-1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "emotion": "happy"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Sync React-1

需要 `video_url` 和 `audio_url`,两者均不得超过 15 秒,并且必须提供 `emotion`(happy、sad、angry、disgusted、surprised 或 neutral)。`model_mode` 设置编辑区域:lips、face 或 head。`lipsync_mode` 处理时长不匹配(cut_off、loop、bounce、silence、remap),`temperature`(0 到 1)调整表现力。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
video_url必填 video
类型url · video
输入视频 URL;片段不得超过 15 秒。
audio_url必填 audio
类型url · audio
输入音频 URL;录音不得超过 15 秒。
emotion必填
类型enum
happysadangrydisgustedsurprisedneutral
生成期间使用的情绪提示词;目前仅支持单词情绪。
model_mode可选
类型enum
默认值face
lipsfacehead
编辑区域和运动范围:`lips` 仅使用 react-1 进行唇形同步,面部变化极少;`face` 会增加面部表情,但不包含头部运动;`head` 包含唇形同步、面部表情以及说话时自然的头部运动。
lipsync_mode可选
类型enum
默认值bounce
cut_offloopbouncesilenceremap
用于处理音频和视频时长差异的唇形同步模式。
temperature可选
类型number
默认值0.5
0 – 1
唇形同步的表现力级别。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sync-lipsync/react-1",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1667,
    "usd": "1.667",
    "charged": 1667,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "emotion": "happy"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}具有同步面部和唇部运动的输出视频。

更多模型:口型同步与数字人

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/sync-lipsync/react-1.md. 所有模型和指南: https://doitong.com/developers/llms.txt